package de.intevation.gnv.state;

import de.intevation.artifacts.CallContext;

import de.intevation.gnv.geobackend.base.Result;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;


/**
 * Default implementation of <code>AutoResumeState</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultAutoResumeState extends StateBase implements AutoResumeState
{
    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -4470531390092041577L;

    /**
     * Constructor
     */
    public DefaultAutoResumeState() {
        super();
    }


    @Override
    protected List<Object> purifyResult(Collection<Result> result, String uuid) {
        return new ArrayList<Object>(0);
    }


    @Override
    protected String[] getDescriptionForInputData(
        InputData data, CallContext context, String uuid) {
        return new String[0];
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
